Bug 993901 - tetex-elsevier possibly affected by F-20 unversioned docdir change
tetex-elsevier possibly affected by F-20 unversioned docdir change
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tetex-elsevier (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael J Gruber
Fedora Extras Quality Assurance
http://fedoraproject.org/wiki/Changes...
: Reopened
Depends On:
Blocks: F20UnversionedDocDirs
  Show dependency treegraph
 
Reported: 2013-08-06 09:00 EDT by Ville Skyttä
Modified: 2013-11-15 15:35 EST (History)
3 users (show)

See Also:
Fixed In Version: tetex-elsevier-0.1.20090917-11.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-11 19:29:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2013-08-06 09:00:46 EDT
tetex-elsevier was identified as a package possibly needing maintainer attention
due to the F-20 unversioned doc dir change. The identification is not
foolproof, it is basically this grep:

    grep -E "(/doc|_docdir|_defaultdocdir).+version" *.spec

Please review your package and make the appropriate changes, if any. A
good starting point is checking the lines output by the above grep for
your specfile. For the vast majority of packages, after the changes,
the expected outcome is that documentation dirs in /usr/share/doc
should no longer contain the package version.

More information and tips:
  https://fedoraproject.org/wiki/Changes/UnversionedDocdirs
  http://thread.gmane.org/gmane.linux.redhat.fedora.devel/183942/focus=183943
  http://thread.gmane.org/gmane.linux.redhat.fedora.devel/183942/focus=183973
Comment 1 Fedora End Of Life 2013-09-16 12:16:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Ville Skyttä 2013-11-03 14:39:38 EST
I've fixed this in Rawhide, leaving F-20 up to maintainers.
Comment 3 Fedora Update System 2013-11-05 03:57:52 EST
tetex-elsevier-0.1.20090917-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tetex-elsevier-0.1.20090917-10.fc20
Comment 4 Fedora Update System 2013-11-05 04:13:04 EST
tetex-elsevier-0.1.20090917-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tetex-elsevier-0.1.20090917-10.fc19
Comment 5 Fedora Update System 2013-11-05 04:14:19 EST
tetex-elsevier-0.1.20090917-10.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tetex-elsevier-0.1.20090917-10.fc18
Comment 6 Ville Skyttä 2013-11-05 05:20:52 EST
(In reply to Ville Skyttä from comment #2)
> I've fixed this in Rawhide, leaving F-20 up to maintainers.

As said, *F-20*. This update is completely unnecessary for F-18 and F-19 users, please don't make them download and install updates that change nothing, delete the F-18 and F-19 Bodhi updates you did instead.
Comment 7 Michael J Gruber 2013-11-05 05:27:53 EST
F18 and F19 (also) need a bugfix for the texlive install tree, and the point of pushing the current update is having the same spec to build upon.

I'd much rather use git the way it is intended to (using branches properly), but the way we're currently doing it in Fedora means we prefer spec magic (relver dependend macros) over meaningful branches. Or the nightmare of cherry-picks you see in some packages' git tree.

Or do you suggest skipping -10 and jumping from -9 to -11 for f18 and f19?
Comment 8 Ville Skyttä 2013-11-05 05:37:15 EST
(In reply to Michael J Gruber from comment #7)
> F18 and F19 (also) need a bugfix for the texlive install tree,

F18 and F19 already have 0.1.20090917-8 which according to the changelog already contains the install tree fix.

> and the point of pushing the current update is having the same spec

No, pushing the package update is pointless for that. Feel free to have the same spec in sync between branches *in git* if you like, but there's no need to push the package to end users through the updates system just for this change.

(Actually I'd also recommend not syncing git branches prematurely before a real sync actually happens to avoid confusion when others look into your stuff in git vs the package repos.)
Comment 9 Michael J Gruber 2013-11-05 07:06:40 EST
(In reply to Ville Skyttä from comment #8)
> (In reply to Michael J Gruber from comment #7)
> > F18 and F19 (also) need a bugfix for the texlive install tree,
> 
> F18 and F19 already have 0.1.20090917-8 which according to the changelog
> already contains the install tree fix.

That fix needs a fix.

> > and the point of pushing the current update is having the same spec
> 
> No, pushing the package update is pointless for that. Feel free to have the
> same spec in sync between branches *in git* if you like, but there's no need
> to push the package to end users through the updates system just for this
> change.

OK, I revoked the updates for F18 and F19.
 
> (Actually I'd also recommend not syncing git branches prematurely before a
> real sync actually happens to avoid confusion when others look into your
> stuff in git vs the package repos.)

I guess pkgs.fedoraproject.org should not (but can easily) be mistaken to be a repo for packaging - when it is the buildsys/bodhi batch queue ;)
Comment 10 Fedora Update System 2013-11-05 15:02:07 EST
Package tetex-elsevier-0.1.20090917-10.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tetex-elsevier-0.1.20090917-10.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20702/tetex-elsevier-0.1.20090917-10.fc20
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-11-06 04:03:22 EST
tetex-elsevier-0.1.20090917-11.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tetex-elsevier-0.1.20090917-11.fc20
Comment 12 Fedora Update System 2013-11-06 04:04:08 EST
tetex-elsevier-0.1.20090917-11.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tetex-elsevier-0.1.20090917-11.fc19
Comment 13 Fedora Update System 2013-11-06 04:04:53 EST
tetex-elsevier-0.1.20090917-11.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tetex-elsevier-0.1.20090917-11.fc18
Comment 14 Fedora Update System 2013-11-11 19:29:08 EST
tetex-elsevier-0.1.20090917-11.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-11-15 15:34:43 EST
tetex-elsevier-0.1.20090917-11.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-11-15 15:35:55 EST
tetex-elsevier-0.1.20090917-11.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.